Requirements and limitations

The Operator was developed and/or tested for the following configurations only:

  1. Percona Server for MongoDB 3.6 and Percona Server for MongoDB 4.0

  2. OpenShift 3.11 and OpenShift 4.0

Other options may or may not work.

Backups are not yet supported with Percona Server for MongoDB 4.0, and work only for Percona Server for MongoDB 3.6.

Also, current PSMDB on Kubernetes implementation does not support Percona Server for MongoDB sharding.